### Constructor

# Vips Image new

#### Declaration [src]

    VipsImage*
    vips_image_new (
      void
    )

#### Description [src]

`vips_image_new()` creates a new, empty `VipsImage`. If you write to one of these images, vips will just attach some callbacks, no pixels will be generated.

Write pixels to an image with `vips_image_generate()` or `vips_image_write_line()`. Write a whole image to another image with `vips_image_write()`.

#### Return value

Type: `VipsImage`

The new `VipsImage`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.